
# White space:

wsp = <[ \t]*>

# The different forms of arithmetic expressions:

expr = <[a-zA-Z_]+> wsp          # A variable name
        | <[0-9]+> wsp           # An integer
        | expr <[+-]> wsp expr   # summation, subtraction, etc..
        | expr <[*/]> wsp expr
        | expr '^' wsp expr
        | expr '=' wsp expr

# The last variable defined in the file become the representative pattern:

file = wsp expr

